org.springframework.messaging

## Class MessageDeliveryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.messaging.MessagingException
          - - org.springframework.messaging.MessageDeliveryException

All Implemented Interfaces:
  Serializable

    public class MessageDeliveryException
    extends MessagingException

Exception that indicates an error occurred during message delivery.

Since:
  4.0
Author:
  Mark Fisher
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MessageDeliveryException(Message<?> undeliveredMessage)`
`MessageDeliveryException(Message<?> undeliveredMessage, String description)`
`MessageDeliveryException(Message<?> undeliveredMessage, String description, Throwable cause)`
`MessageDeliveryException(Message<?> message, Throwable cause)`
`MessageDeliveryException(String description)`

### Method Summary

### Methods inherited from class org.springframework.messaging.MessagingException

`getFailedMessage, toString`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MessageDeliveryException

    public MessageDeliveryException(String description)

#### MessageDeliveryException

    public MessageDeliveryException(Message<?> undeliveredMessage)

#### MessageDeliveryException

    public MessageDeliveryException(Message<?> undeliveredMessage,
                                    String description)

#### MessageDeliveryException

    public MessageDeliveryException(Message<?> message,
                                    Throwable cause)

#### MessageDeliveryException

    public MessageDeliveryException(Message<?> undeliveredMessage,
                                    String description,
                                    Throwable cause)